local addonName, L = ...;
function ALUF_TargetofFocusFrame_OnLoad(self)
	self.targetFeedbackUnit = "focus";

	self:RegisterEvent("ADDON_LOADED");
	self:RegisterEvent("UNIT_TARGET");
	
	ArenaLive_UnitFrame_Initialise(self, addonName, "targetOfFocusFrame", ALUF_TargetofFocusFrameBackground, ALUF_TargetofFocusFrameBorder, ALUF_TargetofFocusFrameName, ALUF_TargetofFocusFramePortrait, ALUF_TargetofFocusFrame3DPortrait, nil, ALUF_TargetofFocusFrameHealthBar, nil, ALUF_TargetofFocusFramePowerBar, nil, nil, nil, nil);
	ArenaLive_UnitFrame_UpdateUnit(self, "focus-target");
	ArenaLive_SecureUnitButton_OnLoad(self, "focus-target", nil, true, nil);
end

function ALUF_TargetOfFocusFrame_OnEvent(self, event, ...)
	
	ArenaLive_UnitFrame_Update(self, event, ...);
	local arg1 = ...;
	if ( event == "ADDON_LOADED" and arg1 == addonName ) then
		ALUF_TargetOfTargetFrame_Toggle(self, "focus-target");
	elseif ( event == "UNIT_TARGET" ) then
		if ( self.targetFeedbackUnit and arg1 == self.targetFeedbackUnit ) then
			if ( UnitExists(self.unit) ) then
				ArenaLive_UnitFrame_Update(self);
			end
		end
	end

end