local addonName, L = ...;
function ALUF_TargetOfTargetFrame_OnLoad(self)
	
	self:RegisterEvent("ADDON_LOADED");
	self:RegisterEvent("UNIT_TARGET");
	self.targetFeedbackUnit = "target";
	ArenaLive_UnitFrame_Initialise(self, addonName, "targetOfTargetFrame", ALUF_TargetofTargetFrameBackground, ALUF_TargetofTargetFrameBorder,ALUF_TargetofTargetFrameName, ALUF_TargetofTargetFramePortrait, ALUF_TargetofTargetFrame3DPortrait, nil, ALUF_TargetofTargetFrameHealthBar, nil, ALUF_TargetofTargetFramePowerBar, nil, nil, nil, nil);
	ArenaLive_UnitFrame_UpdateUnit(self, "targettarget");
	ArenaLive_SecureUnitButton_OnLoad(self, "targettarget", nil, true, nil);
	
	
end

function ALUF_TargetOfTarget_OnUpdate(self, elapsed)
	
	ArenaLive_UnitFrame_NameUpdate(self);
	ArenaLive_HealthBar_Update(self.healthBar, self.unit);
	ArenaLive_PowerBar_Update(self.powerBar, self.unit);

end

function ALUF_TargetOfTargetFrame_OnEvent(self, event, ...)
	
	ArenaLive_UnitFrame_Update(self, event, ...);
	local arg1 = ...;
	if ( event == "ADDON_LOADED" and arg1 == addonName ) then
		ALUF_TargetOfTargetFrame_Toggle(self, "targettarget");
	elseif ( event == "UNIT_TARGET" ) then
		if ( self.targetFeedbackUnit and arg1 == self.targetFeedbackUnit ) then
			if ( UnitExists(self.unit) ) then
				ArenaLive_UnitFrame_PortraitUpdate(self);
			end
		end
	end

end

function ALUF_TargetOfTargetFrame_Toggle(self, unit)

	local isEnabled = ARENALIVE_DATABASE[addonName]["frameTypes"][self.frameType]["enabled"];
	local prefix = self:GetName();
	if ( isEnabled ) then
		ArenaLive_UnitFrame_UpdateUnit(self, unit);
	else
		ArenaLive_UnitFrame_ResetFrame(self);
		self:Hide();
	end
	ArenaLive_FrameMover_UpdateVisible(_G[prefix.."Mover"]);
end